Inventory (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.data

## Class Inventory

- java.lang.Object
- - org.apache.geode.cache.query.data.Inventory

- All Implemented Interfaces:
    java.io.Serializable

      public class Inventory
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `cusip`
    `java.lang.String` | `dealer_code`
    `protected int` | `i`
    `int` | `inc_order_qty`
    `java.lang.String` | `is_benchmark_flag`
    `int` | `lower_qty`
    `int` | `max_order_qty`
    `int` | `min_order_qty`
    `java.lang.String` | `price_type`
    `double` | `quote_price`
    `java.sql.Timestamp` | `quote_timestamp`
    `int` | `retail_price`
    `protected java.lang.String[]` | `tempArr`
    `protected double` | `tempDouble`
    `protected int` | `tempInt`
    `protected java.lang.String` | `tempStr`
    `java.lang.String` | `treasury_cusip`
    `int` | `upper_qty`
    `double` | `yield_spread`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Inventory(java.lang.String inputStr)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cusip

          public java.lang.String cusip

    - #### dealer_code

          public java.lang.String dealer_code

    - #### price_type

          public java.lang.String price_type

    - #### quote_price

          public double quote_price

    - #### quote_timestamp

          public java.sql.Timestamp quote_timestamp

    - #### min_order_qty

          public int min_order_qty

    - #### max_order_qty

          public int max_order_qty

    - #### lower_qty

          public int lower_qty

    - #### upper_qty

          public int upper_qty

    - #### inc_order_qty

          public int inc_order_qty

    - #### retail_price

          public int retail_price

    - #### is_benchmark_flag

          public java.lang.String is_benchmark_flag

    - #### yield_spread

          public double yield_spread

    - #### treasury_cusip

          public java.lang.String treasury_cusip

    - #### tempArr

          protected java.lang.String[] tempArr

    - #### i

          protected int i

    - #### tempStr

          protected java.lang.String tempStr

    - #### tempInt

          protected int tempInt

    - #### tempDouble

          protected double tempDouble

  - ### Constructor Detail

    - #### Inventory

          public Inventory(java.lang.String inputStr)